local addonInfo, privateVars = ...

nkPanel.layout = {
	elementColor = { 0.153, 0.314, 0.490, 1 },
	labelColor = { 1, 1, 1, 1 }
}

function privateVars.ui.config ()

	local name = 'nkPanel.config'

  local config = EnKai.uiCreateFrame("nkWindowMetro", name, privateVars.uiElements.contextConfig)
  local tabPane = EnKai.uiCreateFrame("nkTabPaneMetro", name .. ".tabPane", config:GetContent())
	
	local paneTabPlugins = privateVars.ui.configTabPlugins(tabPane)
	local paneTabSettings = privateVars.ui.configTabSettings(tabPane)
		
	config:SetCloseable(true)
  config:SetTitle(addonInfo.toc.Name)
	config:SetPoint("CENTER", UIParent, "CENTER")
	config:SetWidth(450)
	config:SetHeight(535)	
	config:SetColor({ r = 0.126, g = 0.161, b = 0.196, a = .8, thickness=1}, {type = "solid", r = 0.126, g = 0.161, b = 0.196, a = .8})
  config:SetTitleFontColor(1, 1, 1, 1)
	
	tabPane:SetPoint("TOPLEFT", config:GetContent(), "TOPLEFT", 10, 10)
  tabPane:SetPoint("BOTTOMRIGHT", config:GetContent(), "BOTTOMRIGHT", -10, -50)
  tabPane:SetLayer(1)
	tabPane:SetColor({ thickness = 1, r = 0.078, g = 0.188, b = 0.306, a = 1}, { type = 'solid', r = 0.051, g = 0.118, b = 0.192, a = 1}, nil, { r = 1, g = 1, b = 1, a = 1})
  tabPane:SetBorder(false)
	
	tabPane:AddPane( { label = privateVars.langTexts.tabHeaderSettings, frame = paneTabSettings, initFunc = function() paneTabSettings:build() end}, false)
	tabPane:AddPane( { label = privateVars.langTexts.tabHeaderPlugins, frame = paneTabPlugins, initFunc = function() paneTabPlugins:build() end}, true)
	
	local EnKaiLogo = EnKai.uiCreateFrame("nkTexture", name .. ".EnKaiLogo", tabPane)
	EnKaiLogo:SetTextureAsync(EnKai.art.GetThemeLogo()[1],EnKai.art.GetThemeLogo()[2])
	EnKaiLogo:SetPoint("BOTTOMLEFT", config:GetContent(), "BOTTOMLEFT", 10, -5)
	EnKaiLogo:SetWidth(125)
	EnKaiLogo:SetHeight(33)
	
	local versionText = UI.CreateFrame("Text", "nkPnael.versionText", tabPane)
	versionText:SetFontSize(11)
	versionText:SetText(string.format(privateVars.langTexts.txtVersion, addonInfo.toc.Version))
	versionText:SetFontColor(236, 228, 189, 1)
	versionText:SetPoint("BOTTOMRIGHT", tabPane, "BOTTOMRIGHT", -5, -5)
	versionText:SetLayer(99)
	
	local closeButton = EnKai.uiCreateFrame("nkButtonMetro", name .. ".closeButton", config:GetContent())
  
  closeButton:SetPoint("BOTTOMRIGHT", config:GetContent(), "BOTTOMRIGHT", -10, -10)
  closeButton:SetText(privateVars.langTexts.close)
  closeButton:SetFontColor(1, 1, 1)
  closeButton:SetColor(nkPanel.layout.elementColor[1], nkPanel.layout.elementColor[2], nkPanel.layout.elementColor[3])
  closeButton:SetIcon("nkPanel", "gfx/iconClose.png")
  closeButton:SetScale(.8)
  closeButton:SetLayer(9)
  
  Command.Event.Attach(EnKai.events[name .. ".closeButton"].Clicked, function (_, newValue)
    privateVars.uiElements.config:SetVisible(false)   
  end, name .. ".closeButton.Clicked")
	
	config:SetVisible(true)
	
	return config
	
end