local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.bags ()

	local plugin = nkPanel.api.plugin('default: bag count plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/bagIcon.png')
		
	local function itemSlotUpdate ()
	
		local count = 0
	
		for idx = 1, 7, 1 do	
			local bagSlot = Utility.Item.Slot.Inventory(idx)
			local bagInfo = Inspect.Item.List(bagSlot)
			
			for slot, details in pairs (bagInfo) do
				if details == false then 
					count = count + 1 
				end		
			end
			
		end
		
		plugin:SetTitle(string.format(privateVars.langTexts.plugins.bags, count))
		
	end
	
	Command.Event.Attach(Event.Item.Slot, itemSlotUpdate, "nkPanel.plugin-Bags.Item.Slot")
	
	plugin:SetUpdate(itemSlotUpdate, true, 2)
	
	return plugin

end