local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.cpu ()

	local plugin = nkPanel.api.plugin('default: cpu usage plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/cpuIcon.png')
	
	local updateTime = nil
		
	local function updateCPU()
	
		if plugin:GetVisible() == false then return end

    local now = Inspect.Time.Frame()

    if not updateTime or now - updateTime > 1 then
      updateTime = now
      local total = 0
  		
  		for k, v in pairs(Inspect.Addon.Cpu()) do
        for det, usage in pairs(v) do
          total = total + usage
        end
      end
      
      plugin:SetTitle(string.format(privateVars.langTexts.plugins.cpu, total * 100))
    end
    
  end
  	
	Command.Event.Attach(Event.System.Update.Begin, updateCPU, "nkPanel.cpu.System.Update.Begin")
	
	local shard = Inspect.Shard()
	
	plugin:SetTitle(string.format(privateVars.langTexts.plugins.cpu, 0))
	plugin:SetVisible(true)
		
	return plugin

end