local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.coords ()

	local playerID
	local xpos, ypos

	local plugin = nkPanel.api.plugin('default: coords plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/coordIcon.png')
		
	local function updateCoords(_, x, y, z)
	
		if plugin:GetVisible() == false then return end
	
		if playerID == nil then
			local playerDetails = Inspect.Unit.Detail('player')
			if playerDetails == nil then return end
			playerID = playerDetails.id
			if playerID == nil then return end
		end
		
		if x[playerID] == nil and z[playerID] == nil then return end
		
		if x[playerID] ~= nil then xpos = x[playerID] end 
		if z[playerID] ~= nil then ypos = z[playerID] end
		
		plugin:SetTitle(string.format(privateVars.langTexts.plugins.coords, xpos, ypos))			
	end
	
	Command.Event.Attach(Event.Unit.Detail.Coord, updateCoords, "nkPanel.coords.Unit.Detail.Coord")
	
	plugin:SetTitle(string.format(privateVars.langTexts.plugins.coords, 0, 0))
	plugin:SetVisible(true)
		
	return plugin

end