local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.experience ()

	local exp, rested = 0, 0
	
	local plugin = nkPanel.api.plugin('default: experience tracker plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/attIcon.png')
	
	local updateTime
	
	local function updateExperience()
	
		if plugin:GetVisible() == false then return end
	
    local now = Inspect.Time.Frame()

    if not updateTime or now - updateTime > 1 then
      updateTime = now

      local experience = Inspect.Experience()
      
      if experience == nil then 
         plugin:SetTitle(string.format(privateVars.langTexts.plugins.experience, 0, 0))
      elseif experience.accumulated == nil then
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.experience, 0, 0))
      elseif experience.rested == nil or experience.rested == 0 then
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.experience, experience.accumulated, experience.needed - experience.accumulated))
      else
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.experienceR, experience.accumulated, experience.rested, experience.needed - experience.accumulated))
      end      
      
    end
	end
	
	local function updateAttunement()
    if plugin:GetVisible() == false then return end
    
    local experience = Inspect.Attunement.Progress()
    
    if experience == nil then 
       plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunement, 0))
    elseif experience.needed == nil then
      plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunement, 0))
    elseif experience.rested == nil or experience.rested == 0 then
      if experience.available == 0 then
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunement, experience.needed))
      else
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunementPt, experience.needed, experience.available))
      end
    else
      if experience.available == 0 then
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunementR, experience.needed, experience.rested))
      else
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.attunementPtR, experience.needed, experience.rested, experience.available))
      end
    end
  end

  plugin:SetVisible(true)
  
	local experience = Inspect.Experience()
	
	if experience == nil then
	  Command.Event.Attach(Event.Attunement.Progress.Accumulated, updateAttunement, "nkPanel.Attunement.Progress.Accumulated")
	  Command.Event.Attach(Event.Attunement.Progress.Available, updateAttunement, "nkPanel.Attunement.Progress.Available")
	  updateAttunement()
	else
    --Command.Event.Attach(Event.Experience.Accumulated, updateExperience, "nkPanel.experience.Experience.Accumulated")
    --Command.Event.Attach(Event.Experience.Rested, updateExperience, "nkPanel.experience.Experience.Rested")
    Command.Event.Attach(Event.System.Update.Begin, updateExperience, "nkPanel.cpu.System.Update.Begin")
  end

	return plugin

end