local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.fps ()

	local plugin = nkPanel.api.plugin('default: fps plugin', false, false)
	
	local updateTime, deltaTime = nil, nil
	local frameCount, fpsTimer = 0, 0
		
	local function updateFPS()
	
		if plugin:GetVisible() == false then return end
		
		local now = Inspect.Time.Frame()
    local lastFrame = updateTime or now
      
    deltaTime = now - lastFrame
    fpsTimer = fpsTimer + deltaTime
    frameCount = frameCount + 1
    
    if (fpsTimer > 1) then
      plugin:SetTitle(string.format(privateVars.langTexts.plugins.fps, frameCount / fpsTimer))
      frameCount, fpsTimer = 0, 0
    end
    
    updateTime = now
    
  end
  	
	Command.Event.Attach(Event.System.Update.Begin, updateFPS, "nkPanel.fps.System.Update.Begin")
	
	plugin:SetTitle(string.format(privateVars.langTexts.plugins.fps, 0))
	plugin:SetVisible(true)
		
	return plugin

end