local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.level ()

	local unitId = nil
	
	local plugin = nkPanel.api.plugin('default: level plugin', false, false)
	
	local function updateLevel(_, data)
    if plugin:GetVisible() == false then return end
    
    if unitId == nil then
      local details = Inspect.Unit.Detail('player')
      if details ~= nil then unitId = details.id end
    end
    
    if data[unitId] ~= nil then
      plugin:SetTitle(string.format(privateVars.langTexts.plugins.level, data[unitId]))
    end
    
  end
  
  local function unitAvailable(_, units)
    
    for k, v in pairs(units) do
      if v == "player" then
        unitId = k
        local details = Inspect.Unit.Detail(unitId)
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.level, details.level))
        Command.Event.Detach(Event.Unit.Availability.Full, nil, "nkPanel.Level.Unit.Availability.Full")
        return
      end
    end
    
  end

  plugin:SetVisible(true)
  
  Command.Event.Attach(Event.Unit.Detail.Level, updateLevel, "nkPanel.Level.Unit.Detail.Level")
  Command.Event.Attach(Event.Unit.Availability.Full, unitAvailable, "nkPanel.Level.Unit.Availability.Full")
  

	return plugin

end