local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.location ()

	local exp, rested = 0, 0
	local playerID

	local plugin = nkPanel.api.plugin('default: location tracker plugin')
		
	local function updateLocation(_, loc)
	
		if plugin:GetVisible() == false then return end
				
		if playerID == nil then
			local playerDetails = Inspect.Unit.Detail('player')
			if playerDetails == nil then return end
			playerID = playerDetails.id
			if playerID == nil then return end
		end
		
		if loc[playerID] == nil or loc[playerID] == false then return end		
		
		plugin:SetTitle(loc[playerID])		
	end
	
	local function unitAvailable (_, info)
	
    for unit, data in pairs(info) do
      if data == "player" then
        playerID = unit
        local details = Inspect.Unit.Detail(unit)
        plugin:SetTitle(details.locationName)
        return
      end
    end
	
	end
	
	Command.Event.Attach(Event.Unit.Detail.LocationName, updateLocation, "nkPanel.location.Unit.Detail.LocationName")
	Command.Event.Attach(Event.Unit.Availability.Full, unitAvailable, "nkPanel.location.Unit.Availability.Full")
	
	plugin:SetVisible(true)
	
	plugin:SetTitle(privateVars.langTexts.plugins.locunknown)
	
	return plugin

end