local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.platinium ()

	local exp, rested = 0, 0

	local plugin = nkPanel.api.plugin('default: coin count plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/coinIcon.png')
		
	local function updateCoin(_, currency)
	
		if plugin:GetVisible() == false then return end
	
		if currency['coin'] == nil then return end
	
		local details = Inspect.Currency.Detail('coin')
			
		if details ~= nil and details.stack ~= nil then
			local platin = math.floor(details.stack / 10000)
			local gold = math.floor((details.stack - (platin * 10000)) / 100)
			local silver = details.stack - (platin * 10000) - (gold * 100) 

			plugin:SetTitle(string.format(privateVars.langTexts.plugins.platinium, platin, gold, silver))			
		end
	end
	
	Command.Event.Attach(Event.Currency, updateCoin, "nkPanel.platinium.Currency")
	
	plugin:SetVisible(true)
	
	updateCoin(_, {coin = true})
	
	return plugin

end