local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.shard ()

	local plugin = nkPanel.api.plugin('default: shard plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/shardIcon.png')
	
	local updateTime = nil
		
	local function updateShard()
	
		if plugin:GetVisible() == false then return end
		
		local now = Inspect.Time.Frame()
		if updateTime == nil or now - updateTime > 1 then
	   updateTime = now
		
  		local player = Inspect.Unit.Detail("player")
      if player.zone == nil then return end
      
      local zone = Inspect.Zone.Detail(player.zone)
      if zone.name == nil then return end
  
      local consoleList = Inspect.Console.List()
      if consoleList == nil then return end
      
      local consoleDetails = Inspect.Console.Detail(consoleList)
      if consoleDetails == nil then return end
  
      for id, consoleData in pairs(consoleDetails) do
        if consoleData.channel then
          for name, _ in pairs(consoleData.channel) do
            if name == zone.name then
              plugin:SetTitle(string.format(privateVars.langTexts.plugins.shard, Inspect.Shard().name))
              return
            elseif (name:sub(1, zone.name:len()+1) == zone.name.."@") then
              plugin:SetTitle(string.format(privateVars.langTexts.plugins.shard, name:sub(zone.name:len()+2)))
              return
            end
          end -- for consoleData.channel
        end -- if consoleData.channel
      end -- for consoleDetails
    end
    
  end
  	
	Command.Event.Attach(Event.System.Update.Begin, updateShard, "nkPanel.shard.System.Update.Begin")
	
	local shard = Inspect.Shard()
	
	plugin:SetTitle(string.format(privateVars.langTexts.plugins.shard, shard.name))
	plugin:SetVisible(true)
		
	return plugin

end