local addonInfo, privateVars = ...

if nkPanel.plugins == nil then nkPanel.plugins = {} end

function nkPanel.plugins.social ()

	local plugin = nkPanel.api.plugin('default: social plugin', true, false)
	plugin:SetThumb('nkPanel', 'gfx/socialIcon.png')
	
	local friendList, guildList = {}, {}
		
	local function friendChange ()
	   
	  friendList = {}
    local flist = Inspect.Social.Friend.List()
    
    for k, v in pairs(flist) do
      if v == "online" then table.insert(friendList, k) end
    end
    
    plugin:SetTitle(string.format(privateVars.langTexts.plugins.social, #friendList, #guildList))
	end
	
	local function guildChange (_, data)
	 for k, v in pairs(data) do
	   if v == "online" then
	     table.insert(guildList, k)
	   else
	     local pos =  EnKai.tools.table.getTablePos(guildList, k)
	     if pos ~= -1 then table.remove(guildList, pos, 1) end
	   end
	 end
	 
	 plugin:SetTitle(string.format(privateVars.langTexts.plugins.social, #friendList, #guildList))
	 
	end
	
	local function checkPlayer (_, info)
    for k, v in pairs(info) do
      if v == "player" then
        Command.Event.Detach(Event.Unit.Availability.Full, nil, "nkPanel.plugin-Social.Unit.Availability.Full")
        
        friendChange()
        
        local glist = Inspect.Guild.Roster.List()
        if glist ~= nil then  
          for k, v in pairs (glist) do
           if v == "online" then table.insert(guildList, k) end
          end
        end
        
        plugin:SetTitle(string.format(privateVars.langTexts.plugins.social, #friendList, #guildList))
      end
    end
	end
	
	Command.Event.Attach(Event.Social.Friend, friendChange, "nkPanel.plugin-Social.Social.Friend")
	Command.Event.Attach(Event.Guild.Roster.Detail.Status, guildChange, "nkPanel.plugin-Social.Guild.Roster.Status")
	Command.Event.Attach(Event.Unit.Availability.Full, checkPlayer, "nkPanel.plugin-Social.Unit.Availability.Full")
	
	--plugin:SetUpdate(itemSlotUpdate, true, 2)
	plugin:SetTitle(string.format(privateVars.langTexts.plugins.social, #friendList, #guildList))
	
	return plugin

end
